org.apache.jmeter.util

## Class SlowOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - java.io.FilterOutputStream
    - - org.apache.jmeter.util.SlowOutputStream

All Implemented Interfaces:
  Closeable, Flushable, AutoCloseable

    public class SlowOutputStream
    extends FilterOutputStream

OutputStream filter to emulate a slow device, e.g. modem

### Field Summary

### Fields inherited from class java.io.FilterOutputStream

`out`

### Constructor Summary

Constructors
Constructor and Description
`SlowOutputStream(OutputStream out, int cps)` Create wrapped Output Stream toe emulate the requested CPS.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `write(byte[] b, int off, int len)`
`void` `write(int b)`

### Methods inherited from class java.io.FilterOutputStream

`close, flush, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SlowOutputStream

    public SlowOutputStream(OutputStream out,
                            int cps)

Create wrapped Output Stream toe emulate the requested CPS.

Parameters:
  `out` - OutputStream
  `cps` - characters per second

### Method Detail

#### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws IOException

Overrides:
  `write` in class `FilterOutputStream`
Throws:
  `IOException`

#### write

    public void write(int b)
               throws IOException

Overrides:
  `write` in class `FilterOutputStream`
Throws:
  `IOException`